package com.loafle.overflow.model.infra;

import javax.persistence.*;

import com.loafle.overflow.model.meta.MetaTargetZoneType;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "INFRA_ZONE", schema = "public")
@DiscriminatorValue("1")
public class InfraZone extends Infra {
  private MetaTargetZoneType metaTargetZoneType;

  @ManyToOne
  @JoinColumn(name = "META_TARGET_ZONE_TYPE_ID", nullable = true)
  public MetaTargetZoneType getMetaTargetZoneType() {
    return metaTargetZoneType;
  }

  public void setMetaTargetZoneType(MetaTargetZoneType metaTargetZoneType) {
    this.metaTargetZoneType = metaTargetZoneType;
  }

}
