package com.loafle.overflow.model.meta;

/**
 * Created by snoop on 17. 9. 8.
 */
public enum MetaCrawlerEnum {

  UNKNOWN((short) 1),
  ACTIVEDIRECTORY((short) 2),
  CASSANDRA((short) 3),
  DHCP((short) 4),
  DNS((short) 5),
  FTP((short) 6),
  HTTP((short) 7),
  IMAP((short) 8),
  LDAP((short) 9),
  MONGODB((short) 10),
  MSSQL((short) 11),
  MYSQL((short) 12),
  NETBIOS((short) 13),
  ORACLE((short) 14),
  POP((short) 15),
  POSTGRESQL((short) 16),
  REDIS((short) 17),
  JMX((short) 18),
  SMB((short) 19),
  SMTP((short) 20),
  SNMPV2((short) 21),
  SNMPV3((short) 22),
  SSH((short) 23),
  TELNET((short) 24),
  WMI((short) 25);

  private Short value;

  private MetaCrawlerEnum(Short value) {
    this.value = value;
  }

  public Short getValue() {
    return this.value;
  }

  public boolean equals(MetaCrawlerEnum metaCrawlerEnum) {
    return this.value.equals(metaCrawlerEnum.value);
  }

  public boolean equals(MetaCrawler metaCrawler) {
    return this.value.equals(metaCrawler.getId());
  }

}
